libsidplayfp::MUS Class Referencefinal
Inheritance diagram for libsidplayfp::MUS:

## Public Member Functions

virtual void | placeSidTuneInC64mem (sidmemory &mem) override
Public Member Functions inherited from libsidplayfp::SidTuneBase
unsigned int | selectSong (unsigned int songNum)
const SidTuneInfo * | getInfo () const
const SidTuneInfo * | getInfo (unsigned int songNum)
virtual const char * | createMD5 (char *)
virtual const char * | createMD5New (char *)
const uint_least8_t * | c64Data () const

## Static Public Member Functions

static SidTuneBase * | load (buffer_t &dataBuf, bool init=false)
static SidTuneBase * | load (buffer_t &musBuf, buffer_t &strBuf, uint_least32_t fileOffset, bool init=false)
Static Public Member Functions inherited from libsidplayfp::SidTuneBase
static SidTuneBase * | load (const char *fileName, const char **fileNameExt, bool separatorIsSlash)
static SidTuneBase * | load (LoaderFunc loader, const char *fileName, const char **fileNameExt, bool separatorIsSlash)
static SidTuneBase * | read (const uint_least8_t *sourceBuffer, uint_least32_t bufferLen)

## Protected Member Functions

void | installPlayer (sidmemory &mem)
void | setPlayerAddress ()
virtual void | acceptSidTune (const char *dataFileName, const char *infoFileName, buffer_t &buf, bool isSlashedFileName) override
Protected Member Functions inherited from libsidplayfp::SidTuneBase
void | convertOldStyleSpeedToTables (uint_least32_t speed, SidTuneInfo::clock_t clock=SidTuneInfo::CLOCK_PAL)
bool | checkCompatibility ()
bool | checkRelocInfo ()
void | resolveAddrs (const uint_least8_t *c64data)
std::string | petsciiToAscii (SmartPtr_sidtt< const uint8_t > &spPet)

## Additional Inherited Members

Public Types inherited from libsidplayfp::SidTuneBase
typedef void(* | LoaderFunc) (const char *fileName, buffer_t &bufferRef)
Protected Types inherited from libsidplayfp::SidTuneBase
typedef std::vector< uint8_t > | buffer_t
Static Protected Member Functions inherited from libsidplayfp::SidTuneBase
static void | loadFile (const char *fileName, buffer_t &bufferRef)
Protected Attributes inherited from libsidplayfp::SidTuneBase
std::unique_ptr< SidTuneInfoImpl > | info
uint_least8_t | songSpeed [MAX_SONGS]
SidTuneInfo::clock_t | clockSpeed [MAX_SONGS]
uint_least32_t | fileOffset
| For files with header: offset to real data.
buffer_t | cache
Static Protected Attributes inherited from libsidplayfp::SidTuneBase
static const unsigned int | MAX_SONGS = 256
| Also PSID file format limit.
static const char | ERR_TRUNCATED [] = "SIDTUNE ERROR: File is most likely truncated"
static const char | ERR_INVALID [] = "SIDTUNE ERROR: File contains invalid data"

## Member Function Documentation

## acceptSidTune()

void libsidplayfp::MUS::acceptSidTune | ( | const char * | dataFileName,
|  | const char * | infoFileName,
|  | buffer_t & | buf,
|  | bool | isSlashedFileName
| ) |  |

override protected virtual

Cache the data of a single-file or two-file sidtune and its corresponding file names.

Parameters

  dataFileName |
  infoFileName |
  buf |

  isSlashedFileName

  If your opendir() and readdir()->d_name return path names that contain the forward slash (/) as file separator, but your operating system uses a different character, there are extra functions that can deal with this special case. Set separatorIsSlash to true if you like path names to be split correctly. You do not need these extra functions if your systems file separator is the forward slash.

Exceptions

  loadError |

Reimplemented from libsidplayfp::SidTuneBase.

## placeSidTuneInC64mem()

void libsidplayfp::MUS::placeSidTuneInC64mem | ( | sidmemory & | mem | ) |

override virtual

Copy sidtune into C64 memory (64 KB).

Parameters

  mem |

Reimplemented from libsidplayfp::SidTuneBase.

The documentation for this class was generated from the following files:

- MUS.h
- MUS.cpp